<?php
/*
'**************************************************************************************************
' 软件名称: 盘锦DJ舞曲网CMS Content Management PjRen.Net
' 版本编号: Version 2.5
' 盘锦舞曲: http://www.pj57.com
' 官方网站: http://www.pjren.net
' 小说网站: http://www.hx39.com
' 0427DJ网: http://www.0427dj.net
' 官方论坛: http://www.tianjiazhen.com
' 版权所有: 盘锦舞曲开发团队    盘锦人(QQ:814006710)
' 郑重声明:
'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
'    2、盘锦网络事业部保留此软件的法律追究权利
'**************************************************************************************************
*/
	if(empty($_COOKIE['S_AdminID'])){
		echo "<script>window.location='admin_login.php'</script>";
		}
	elseif($_COOKIE['S_Login']!=md5($_COOKIE['S_AdminID'].$_COOKIE['S_AdminUserName'].$_COOKIE['S_AdminPassWord'].$_COOKIE['S_Permission'])){
		echo "<script>window.parent.location='admin_login.php'</script>";
		}
//后台权限判断
function SystemPer($Column){
   if(empty($_COOKIE['S_Permission'])){
        die("<script>jAlert('对不起，您无权限操作此功能！','操作错误',function(R){window.location='javascript:history.go(-1)';})</script>");
   }else{
        $SystemPermission=explode(",",$_COOKIE['S_Permission']);
        $StateOK=0;
        $ArrSystemPermission=count($SystemPermission);
           for($k=0;$k<$ArrSystemPermission;$k++){
              if($SystemPermission[$k]==$Column){
                     $StateOK=1;   
              }
           }
       if($StateOK==0){
            die("<script>jAlert('对不起，您无权限操作此功能！','操作错误',function(R){window.location='javascript:history.go(-1)';})</script>");
       } 
   }
}
?>